#ifndef XDOBJANIMMAT_H
#define XDOBJANIMMAT_H

#include "xasset.h"

#include <QVector>

class XDObjAnimMat : public XAsset
{
public:
    XDObjAnimMat();
    ~XDObjAnimMat();

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    QVector<float> mQuat;
    QVector<float> mTrans;
    float mTransWeight;
};

#endif // XDOBJANIMMAT_H
